Subject: Re: bug#63896: [PATCH] Support annotating and sorting the project list during completion

From: Dmitry Gutov <[email-masked]>
Date: Thu, 24 Aug 2023 04:54:44 +0300

On 05/06/2023 14:23, Eli Zaretskii wrote:
>> +                (format-mode-line mode-line-process nil nil buf)))
> Do you really need to call format-mode-line?  My advice is to stay
> away of that function: it could have unpleasant side effects.

Does calling format-mode-line trigger extra redisplays or something? 
That sounds unexpected.

OTOH, relying on the format of the value of mode-line-process is iffy 
(submodes could change it; though I haven't really seen it done so far).